## $Id: export.py 14310 2016-12-05 09:14:32Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for aaue documents.
"""
import grok
from waeup.ikoba.documents.export import DocumentExporterBase
from ikobacustom.aaue.documents.interfaces import IAAUEDocument
from ikobacustom.aaue.interfaces import MessageFactory as _


class AAUEDocumentExporter(DocumentExporterBase):
    """Exporter for documents.
    """
    grok.name('aauedocuments')
    iface = IAAUEDocument
    class_name = 'AAUEDocument'
    title = _(u'AAUE Documents')
